package me.blackphreak.CommandHandling;

import me.blackphreak.CommandHandling.Handlers.CreateStudentCommand;
import me.blackphreak.CommandHandling.Handlers.EditGradesCommand;
import me.blackphreak.CommandHandling.Handlers.EditStudentCommand;
import me.blackphreak.CommandHandling.Handlers.SearchStudentCommand;

public class CommandManager {
	public static void registerCommands() {
		CommandHandler.registerHandler("Search Student",    new SearchStudentCommand("Search student(s) from database with condition(s)"));
		CommandHandler.registerHandler("Create Student",    new CreateStudentCommand("Insert a new student record to database"));
		CommandHandler.registerHandler("Edit Student",      new EditStudentCommand("Modify a information of selected student"));
		CommandHandler.registerHandler("Edit Grades",       new EditGradesCommand("Modify grades of a selected student"));
	}
}
